pub struct Clock {
    ticks: u32,
}

impl Clock {
    pub fn new() -> Self {
        Clock { ticks: 0 }
    }

    pub fn tick(&mut self) {
        self.ticks += 1;
    }

    pub fn ticks(&self) -> u32 {
        self.ticks
    }

    pub fn reset(&mut self) {
        self.ticks = 0;
    }
}
